<%@ page pageEncoding="UTF-8" %>
<%@ page errorPage="exception.do" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ page import="cz.bellman.applications.externaldatabasemanager.beans.CustomObjectValues" %>
<%@ page import="cz.bellman.applications.externaldatabasemanager.forms.EditCustomObjectForm" %>
<%@ page import="java.util.List" %>
<%@ page import="java.text.Normalizer" %>
<%@ page import="java.util.Comparator" %>
<%@ page import="java.util.Collections" %>
<%@ page import="java.util.ArrayList" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib prefix="tiles" uri="http://struts.apache.org/tags-tiles" %>
<%@ taglib prefix="f" uri="/WEB-INF/functions.tld" %>
<style>
    .new_pol{
        color: #a3a3a3;
        padding: 0px 2px 0px 0px;

        margin-left: 0px;
        vertical-align:2px;
        border-style: solid;
        border-width: 1px;
        border-radius:3px;
        border-color: #a3a3a3;
        display:inline;
        font-weight:bold;
        font-size:9px;
    }
    #helpers_detail {
        position:fixed;
        z-index:9999;
        margin-top:50px;
        left: 50%;
        transform: translateX(-50%);
        padding: 15px 150px 15px 150px ;
        border-radius:2px;
    }
    .section-row:nth-of-type(odd) {
        background-color: #f9f9f9;
    }
    .section-row:hover {
        background-color: #f5f5f5;
    }
    .menu_edm {
        background-color: #f9f9f9;
    }
    .menu_edm_select {
        background-color: #8c8c8c;
    }
    .menu_edm:hover{
        background-color: #cdd0d6;
    }
    .invalid{
        outline: none;
        border-color: #ed323c;
        box-shadow: 0 0 10px #ed323c;
    }


</style>


<bean:define id="object" name="editForm" property="currentCustomObject" type="cz.bellman.applications.externaldatabasemanager.beans.CustomObject"/>
<bean:define id="editForm" name="editForm" type="cz.bellman.applications.externaldatabasemanager.forms.EditCustomObjectForm"/>

<div id="helpers_detail" class="hidden"></div>
<div id="tabs" class="tabBar" style="margin: 10px 10px 10px 10px;padding-top: 60px;" >
    <div class="row">
        <div class="btn-group col-md-8 col-sm-8 col-xs-8" role="group" aria-label="Basic example">
            <%          
            	int i = 1;
            	Integer j_int = session.getAttribute("ii") != null ? (Integer) session.getAttribute("ii") : 1 ;
            %>
            <logic:iterate id="objectMenu" name="editForm" property="customObjects" type="cz.bellman.applications.externaldatabasemanager.beans.CustomObject">
                <logic:equal name="objectMenu" property="showInOverview" value="true">
	                <logic:equal name="objectMenu" property="objectName" value="${editForm.currentCustomObject.objectName}">
	                        <a class="btn btn-default menu_edm_select" style="margin-right:0px;" href="listObjects.do?action=restoreFilter&objectName=${objectMenu.objectName}&i=<%=i%>" title="" role="button">${objectMenu.objectsLegend}</a>
	                </logic:equal>
	                <logic:notEqual name="objectMenu" property="objectName" value="${editForm.currentCustomObject.objectName}">
	                        <a class="btn btn-default menu_edm" style="margin-right:0px;" href="listObjects.do?action=restoreFilter&objectName=${objectMenu.objectName}&i=<%=i%>" title="" role="button">${objectMenu.objectsLegend}</a>
	                </logic:notEqual>
	            </logic:equal>
                <%i++;%>
            </logic:iterate>

        </div>

        <div class="col-md-4 col-sm-4 col-xs-4">

            <a href="listObjects.do?action=restoreFilter&objectName=<%= request.getParameter("objectName") %>" rel="button" class="btn btn-default plugin-tooltip plugin-confirmationClose " title="" >

                    <span class="taskpool-icon-close icon-right-spacing-normal-only"></span>
                    <span class="hidden-xs-sm"><bean:message key="button.close"/></span>

            </a>


            <a id="attention_dyn" class="btn btn-default hidden" href="flushTaskPoolDynamicFieldsCache.do?page=edit&objectName=${editForm.currentCustomObject.objectName}${f:getPkValueParamsLink(editForm.currentCustomObjectValues)}">
                <img width="36" height="36" src="images/mainico_refresh.gif" alt="Obnov" onmouseover="this.src='images/mainico_refresh_over.gif'" onmouseout="this.src='images/mainico_refresh.gif'"/>
                <br/><bean:message key="form.flushTpDynamicFieldsCache"/>
            </a>

            <button id="saveButton" type="button" class="btn btn-primary plugin-tooltip" style="margin-left: 5px;" title="" data-placement="bottom" onclick='if (sessionStorage.getItem("submited") == "false"){sessionStorage.setItem("submited", "true");console.log("ukladam"+sessionStorage.getItem("submited")); $("form[name=editForm]").submit();}/*checkUsernameAndCompany($("input[name*=ColProp__username]").val(),$("input[name*=ColProp__name]").val(),"<%= request.getParameter("objectName") %>","<%= request.getParameter("action")%>","<%= request.getParameter("value(id)") %>" )*/ '>
                <span class="taskpool-icon-save icon-right-spacing-normal-only"></span>
                <span class="hidden-xs-sm"><bean:message key="button.save"/></span>
            </button>
           	<% if (editForm.getCurrentCustomObject().canBeNotificated(editForm.getAction())) { %>
		  	<a href="#" onclick="saveNotificate();" class="btn btn-default">
		  		<span class="taskpool-icon-user icon-right-spacing-normal-only"></span>
		  		<span class="hidden-xs-sm"><bean:message key="button.saveNotificate"/></span>
		  	</a>            
		  	<% } %>
        </div>
     
    </div>
</div>

<div id="detail">

    <script type="text/javascript">
    	function anonymous()
    	{
    		if (confirm("<bean:message key="form.confirmanonymous"/>".replace("~","\n")) != 1) 
    		{
    			return;
    		};
    		var id = Math.round((Math.random()* 10000));
            <logic:iterate id="property" name="object" property="propertiesList" type="cz.bellman.applications.externaldatabasemanager.beans.AbstractCustomProperty">
            	<logic:equal value="true" name="property" property="anonymous">
	            	if ($('input[name*=<%=EditCustomObjectForm.getFormNameByProperty(property)%>').val())
	            	{	
	                	<logic:empty name="property" property="anonymousPattern">	            		
				            $('input[name*=<%=EditCustomObjectForm.getFormNameByProperty(property)%>').val('<%=property.getLegend()%>' + id);
				        </logic:empty>
	                	<logic:notEmpty name="property" property="anonymousPattern">	            		
				            $('input[name*=<%=EditCustomObjectForm.getFormNameByProperty(property)%>').val('<%=property.getAnonymousPattern()%>'.replace('#id#',id));
				        </logic:notEmpty>
	            	}
            	</logic:equal>
			</logic:iterate>
			synchronizeStep();
    	}

    	function synchronize()
    	{
    		if (confirm("<bean:message key="form.confirmsynchronize"/>".replace("~","\n")) != 1) 
    		{
    			return;
    		};

    		synchronizeStep();
    	}

    	function synchronizeStep()
    	{
			$("input[name*=action]").val("anonymous");
			$('#saveButton').click();    		
    	}
    	
    	function saveNotificate()
    	{
			$("input[name*=notificate]").val("true");
			$('#saveButton').click();    		
    	}
    	
        function addRelation(addButton, prefixedName){
            var div = $("#hiddenDiv_"+prefixedName+" div").clone();
            div.find("select").attr("name","formValue("+prefixedName+"___"+new Date().getTime()+")");
            $(addButton).before(div);
        }

        function deleteRelation(div){
            $(div).remove();
        }
        function validateEmailsByComma() {
            if (!$("input[name*=ColProp__email]").length) return true;
            var regex = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
            var result = $("input[name*=ColProp__email]").val().replace(/\s/g, "").split(",");
            for(var i = 0;i < result.length;i++) {
                if(!regex.test(result[i])) {
                    return false;
                }
            }
            $("input[name*=ColProp__email]").removeClass("invalid");
            return true;
        }
        function checkEmptyInputs(){
            var isValid = true;
            $("input[type=text],input[type=password]").each(function() {

                var element = $(this);
                if ((element.val() == "") &&($(element).parent().prev().text().indexOf("*")>=0)) {
                    $(element).addClass('invalid');
                    isValid = false;
                }else $(element).removeClass('invalid');
            });
            if (isValid == false) {
                $("#helpers_detail").addClass('bg-danger').css({"background":"red","color":"white"}).removeClass('bg-success').html("" + '<bean:message key="form.inputs.notEmpty"/>'+"").removeClass('hidden');
                $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                    $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                });;
                return false;
            }
            return true;
        }
        function checkUsernameAndCompany(username,companyName,objectName,action,valueId){//kontroluje, duplicitu username
            console.log("username="+username+",companyName"+companyName+",objectName="+objectName+",action="+action+",valueId="+valueId);
           // return false;
            var testUserName = 'new';
            if (objectName!='contact') {
                if (objectName=='company'){//kontrola jedinecnosti company
                 if (action == "null"){//editace company
                        $.ajax({
                            url: 'testCompany',
                            method:'post',
                            data : { id:valueId, companyname:companyName, operation:'edit' },
                        }).done(function(msg){
                            console.log("output="+msg);

                            if (checkEmptyInputs() == false) return false;
                            //if (validateEmailsByComma() == false) return false;
                            if (msg == "true") { console.log("return-edit="+msg);
                                $("input[name*=ColProp__name]").removeClass('invalid');

                                console.log("ukladam");sessionStorage.setItem("submited", "true");$("form[name=editForm]").submit();
                                return true;
                            }
                            else {
                                $("#helpers_detail").addClass('bg-danger').css({"background":"red","color":"white"}).removeClass('bg-success').html("" + '<bean:message key="form.testCompanyName.unsuccess"/>'+"").removeClass('hidden');
                                $("input[name*=ColProp__rname]").addClass('invalid');
                                $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                                    $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                                });;
                                console.log("return-edit="+msg);
                                return false;
                            }
                        });
                    }else{//nova company
                        $.ajax({
                            url: 'testCompany',
                            method:'post',
                            data : { id:valueId, companyname:companyName, operation:'new' },
                        }).done(function(msg){
                            console.log("output="+msg);
                            if (checkEmptyInputs() == false) return false;
                            //if (validateEmailsByComma() == false) return false;
                            if (msg == "true") {
                                $("input[name*=ColProp__name]").removeClass('invalid');


                                console.log("ukladam");sessionStorage.setItem("submited", "true");$("form[name=editForm]").submit();
                                return true;
                            }
                            else {
                                console.log("return-new="+msg);
                                $("#helpers_detail").addClass('bg-danger').css({"background":"red","color":"white"}).removeClass('bg-success').html("" + '<bean:message key="form.testCompanyName.unsuccess"/>'+"").removeClass('hidden');
                                $("input[name*=ColProp__name]").addClass('invalid');
                                $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                                    $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                                });;
                                return false;
                            }
                        });
                    }
                    return true;

                }else {
                    if (checkEmptyInputs() == false) return false;
                    //  if (validateEmailsByComma() == false) return false;
                    console.log("ukladam");
                    sessionStorage.setItem("submited", "true");
                    $("form[name=editForm]").submit();
                    return true;
                }
            }
            else if (action == "null"){//editace zákazníka
                $.ajax({
                    url: 'testUsername',
                    method:'post',
                    data : { id:valueId, username:username, operation:'edit' },
                }).done(function(msg){
                    console.log("output="+msg);

                    if (checkEmptyInputs() == false) return false;
                    if (validateEmailsByComma() == false) return false;
                    if (msg == "true") { console.log("return-edit="+msg);
                        $("input[name*=ColProp__username]").removeClass('invalid');

                        console.log("ukladam");sessionStorage.setItem("submited", "true");$("form[name=editForm]").submit();
                    return true;
                    }
                    else {
                        $("#helpers_detail").addClass('bg-danger').css({"background":"red","color":"white"}).removeClass('bg-success').html("" + '<bean:message key="form.testUsername.unsuccess"/>'+"").removeClass('hidden');
                        $("input[name*=ColProp__username]").addClass('invalid');
                        $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                            $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                        });;
                        console.log("return-edit="+msg);
                        return false;
                    }
                });
            }else{//nový zákazník
                $.ajax({
                    url: 'testUsername',
                    method:'post',
                    data : { id:valueId, username:username, operation:'new' },
                }).done(function(msg){
                    console.log("output="+msg);
                    if (checkEmptyInputs() == false) return false;
                    if (validateEmailsByComma() == false) return false;
                    if (msg == "true") {
                        $("input[name*=ColProp__username]").removeClass('invalid');


                        console.log("ukladam");sessionStorage.setItem("submited", "true");$("form[name=editForm]").submit();
                        return true;
                    }
                    else {
                        console.log("return-new="+msg);
                        $("#helpers_detail").addClass('bg-danger').css({"background":"red","color":"white"}).removeClass('bg-success').html("" + '<bean:message key="form.testUsername.unsuccess"/>'+"").removeClass('hidden');
                        $("input[name*=ColProp__username]").addClass('invalid');
                        $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                            $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                        });;
                        return false;
                    }
                });
            }
            return true;
        }
    </script>
    <logic:equal value="false" name="editForm" property="currentCustomObject.readOnly">
        <html:form action="/saveObject" method="post">
            <script type="text/javascript">
                $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                    $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                });
            </script>
            <html:hidden property="objectName"/>
            <html:hidden property="action"/>
            <html:hidden property="notificate"/>
                    <logic:iterate id="property" name="object" property="propertiesList" type="cz.bellman.applications.externaldatabasemanager.beans.AbstractCustomProperty">
                            <div class="row " style="margin-left: 30px;margin-right: 60px;margin-bottom: 10px;margin-top: 10px">
                                <label class="control-label col-xs-2 col-md-1">${property.legend}&nbsp;<logic:equal value="false" name="property" property="nullable">*</logic:equal></label>
                            <div class="col-xs-10 col-md-10">
                                <logic:equal name="property" property="htmlComponentType" value="0">
                                    <bean:parameter id="trueValue" name="trueValue" value="true"/>
                                    <logic:notEqual value="${f:disableField(editForm.currentCustomObjectValues, property)}" name="trueValue">
                                        <% if (EditCustomObjectForm.getFormNameByProperty(property).toLowerCase().equals("colprop__password") || EditCustomObjectForm.getFormNameByProperty(property).toLowerCase().equals("colprop__heslo")|| EditCustomObjectForm.getFormNameByProperty(property).toLowerCase().equals("colprop__pass")) {%>
                                        <html:password size="80" property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleClass="form-control"/>
                                        <% }else{
                                        %>
                                        <html:text size="80" property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleClass="form-control"/>
                                        <% }%>
                                    </logic:notEqual>
                                    <logic:equal value="${f:disableField(editForm.currentCustomObjectValues, property)}" name="trueValue">
                                        <html:hidden property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>'/>
                                        <bean:write name="editForm" property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>'/>
                                    </logic:equal>
                                </logic:equal>
                                <logic:equal name="property" property="htmlComponentType" value="1">
                                    <html:select property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleClass="form-control">
                                        <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true"/>
                                    </html:select>
                                </logic:equal>
                                <logic:equal name="property" property="htmlComponentType" value="2">
                                    <html:textarea property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleClass="form-control"/>
                                </logic:equal>
                                <logic:equal name="property" property="htmlComponentType" value="3">
                                    <html:select property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleClass="form-control">
                                        <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true"/>
                                    </html:select>
                                    <bean:define id="ref" name="property" type="cz.bellman.applications.externaldatabasemanager.beans.CustomColumnReference"/>
                                    <% if(CustomObjectValues.getPkValueParamsLinkColumnReference(editForm, ref) != null){ %>
                                        <a href="editObject.do?objectName=${ref.referencedObject.objectName}${f:getPkValueParamsLinkColumnReference(editForm, ref)}">
                                            <bean:message key="form.reference.link" arg0="${f:getPropertyLegend(editForm, ref)}"/>
                                        </a>
                                    <% } %>
                                </logic:equal>
                                <logic:equal name="property" property="htmlComponentType" value="4">
                                    <div id="hiddenDiv_<%=EditCustomObjectForm.getFormNameByProperty(property)%>" style="display:none;">
                                        <div>
                                            <html:select property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleClass="form-control">
                                                <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true"/>
                                            </html:select>
                                            <input type="button" style="width: 2em;" onclick="deleteRelation(this.parentNode)" value="-"/>
                                        </div>
                                    </div>
                                    <logic:iterate indexId="propIndex" id="propVal" name="editForm" property='<%="value("+property.getName()+")"%>'>
                                        <div>
                                            <html:select property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+"___"+propIndex+")"%>' styleClass="form-control">
                                                <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true"/>
                                            </html:select>
                                            <input type="button" style="width: 2em;" onclick="deleteRelation(this.parentNode)" value="-"/>
                                            <bean:define id="ref" name="property" type="cz.bellman.applications.externaldatabasemanager.beans.CustomTableReference"/>
                                            <% if(CustomObjectValues.getPkValueParamsLinkTableReference(editForm, ref, propIndex) != null){ %>
                                                <a href="editObject.do?objectName=${ref.referencedObject.objectName}${f:getPkValueParamsLinkTableReference(editForm, ref, propIndex)}&i=<%=i%>">
                                                    <bean:message key="form.reference.link" arg0="${f:getPropertyLegend(editForm, ref)}"/>
                                                </a>
                                            <% } %>
                                        </div>
                                    </logic:iterate>
                                    <div><input type="button" style="width: 2em;" onclick="addRelation(this, '<%=EditCustomObjectForm.getFormNameByProperty(property)%>')" value="+"/></div>
                                </logic:equal>
                                <logic:equal name="property" property="htmlComponentType" value="5">
                                    <html:text property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleId="<%=EditCustomObjectForm.getFormNameByProperty(property)%>" styleClass="form-control"/>
                                    <script type="text/javascript">
                                        $("#<%=EditCustomObjectForm.getFormNameByProperty(property)%>").datetimepicker({
                                            locale: cs,
                                            showClear: false,
                                            allowInputToggle: true,
                                            showTodayButton: true,
                                            format: 'YYYY-MM-dd'
                                        });
                                        //.datepicker({ dateFormat: 'yy-mm-dd' });
                                    </script>
                                </logic:equal>
                                <logic:equal name="property" property="htmlComponentType" value="6">
                                    <html:text property='<%="formValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleId="<%=EditCustomObjectForm.getFormNameByProperty(property)%>" />
                                    <script type="text/javascript">
                                        $("#<%=EditCustomObjectForm.getFormNameByProperty(property)%>").datetimepicker({
                                            locale: cs,
                                            showClear: false,
                                            allowInputToggle: true,
                                            showTodayButton: true,
                                            format: 'YYYY-MM-dd 00:00:00'
                                        });

                                        //.datepicker({ dateFormat: 'yy-mm-dd 00:00:00' });
                                    </script>
                                </logic:equal>
                            </div>
                    </div>
                    </logic:iterate>
                    <tr class="rowOdd"><td></td><td><input type="hidden" name="submitted" value='<bean:message key="button.save"/>'/></td></tr>
            <html:messages id="errors">

                <script type="text/javascript">
                    //$("input[name*=ColProp__maintenance]").addClass('invalid');
                    sessionStorage.setItem("submited", "validate_error");
                    $("#helpers_detail").addClass('bg-danger').css({"background":"red","color":"white"}).removeClass('bg-success').append("" + '<bean:write name="errors" />'+"<br>").removeClass('hidden');
                    var error_legend = '<bean:write name="errors" />';

                    error_legend = error_legend.replace(/&#39;/g, "'");//.match(/\'(.*)\\''/);
                    console.log("error_legend="+ error_legend);
                    var error_field = error_legend.match(/.*'(.*)'.*/) ;
                    //var error_field2 = error_legend.match(/.*'(.*)'.*/);
                    console.log("error_legend after="+ error_legend);
                    console.log("error_field[1]="+ error_field[1]);
                    var error_field_text = error_field[1] + " ";
                    var error_field_text2 = error_field[1] + " *";

                    $(".control-label").each(function(){
                        console.log("text"+$(this).text().trim()+"==="+error_field_text.trim()+"2]"+$(this).text().replace("*","").trim()+"==="+error_field_text2.replace("*","").trim());
                        if ($(this).text().trim() === (error_field_text.trim()) || $(this).text().replace("*","").trim() === error_field_text2.trim().replace("*","").trim()) {console.log("nalezen"+error_field);$(this).next().children().addClass('invalid');}
                    });


                </script>

            </html:messages>
            <script type="text/javascript">
                if (!validateEmailsByComma() ) {$("#helpers_detail").append('<bean:message key="form.inputs.badEmail"/>'+'<br>').removeClass('bg-success').addClass('bg-danger').css({"background":"red","color":"white"}).removeClass('hidden');
                    $("input[name*=ColProp__email]").addClass("invalid");
                    sessionStorage.setItem("submited", "validate_error");
                }

            </script>
        </html:form>
    </logic:equal>
    <logic:equal value="true" name="editForm" property="currentCustomObject.readOnly">
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="editTable detailTable">
            <tbody>
                <logic:iterate id="property" name="object" property="propertiesList" type="cz.bellman.applications.externaldatabasemanager.beans.AbstractCustomProperty">
                      <div class="row">
                        <div class="col-md-5 col-sm-5 col-xs-5">${property.legend}</div>
                        <div class="col-md-8 col-sm-8 col-xs-8">
                            <logic:equal name="property" property="htmlComponentType" value="0">
                                <%=property.getLabelValue(editForm.getCurrentCustomObjectValues())%>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="1">
                                <%=property.getLabelValue(editForm.getCurrentCustomObjectValues())%>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="2">
                                <%=property.getLabelValue(editForm.getCurrentCustomObjectValues())%>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="3">
                                <bean:define id="ref" name="property" type="cz.bellman.applications.externaldatabasemanager.beans.CustomColumnReference"/>
                                <% if(CustomObjectValues.getPkValueParamsLinkColumnReference(editForm, ref) != null){ %>
                                    <a href="editObject.do?objectName=${ref.referencedObject.objectName}${f:getPkValueParamsLinkColumnReference(editForm, ref)}">
                                        <%=property.getLabelValue(editForm.getCurrentCustomObjectValues())%>
                                    </a>
                                <% } %>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="4">
                                <logic:iterate indexId="propIndex" id="propVal" name="editForm" property='<%="value("+property.getName()+")"%>'>
                                    <div>
                                        <bean:define id="ref" name="property" type="cz.bellman.applications.externaldatabasemanager.beans.CustomTableReference"/>
                                        <% if(CustomObjectValues.getPkValueParamsLinkTableReference(editForm, ref, propIndex) != null){ %>
                                            <a href="editObject.do?objectName=${ref.referencedObject.objectName}${f:getPkValueParamsLinkTableReference(editForm, ref, propIndex)}">
                                                <%=((List<Object>)property.getLabelValue(editForm.getCurrentCustomObjectValues())).get(propIndex.intValue())%>
                                            </a>
                                        <% } %>
                                    </div>
                                </logic:iterate>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="5">
                                <%=property.getLabelValue(editForm.getCurrentCustomObjectValues())%>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="6">
                                <%=property.getLabelValue(editForm.getCurrentCustomObjectValues())%>
                            </logic:equal>
                            ,
                        </div>
                      </div>
                </logic:iterate>
            </tbody>
        </table>
    </logic:equal>

    <logic:equal value="true" name="editForm" property="allPkValues">

        <logic:iterate id="backReference" name="object" property="backReferencesList" type="cz.bellman.applications.externaldatabasemanager.beans.BackReference">
            <% for(int k=0; k<2;k++) {%>
            <div class="row" style="margin-left: 0px;padding-right: 50px;">
                <label class="control-label col-xs-2 col-md-1" style="margin-left: 30px;">
                    <%if (k==0) {%> Aktivní <%}else{ %> Neaktiv. <%}%>
                        ${backReference.referencedObjectLegend}:

                </label>
                <div class="control-label col-xs-10 col-md-3" style="margin-left: 0px;"></div>
                <div id="active" class="col-md-10  col-xs-10" style="margin-left: 0px;">
                    <div style="margin-left:0px;">
                        <%  List<CustomObjectValues> backRef = new ArrayList<CustomObjectValues>();

                            backRef = CustomObjectValues.getBackReferencesObjectValues(editForm.getCurrentCustomObjectValues(), backReference);
                            Collections.sort(backRef,  new Comparator<CustomObjectValues>() {
                                public int compare(CustomObjectValues o1, CustomObjectValues o2) {
                                    String label1 = Normalizer.normalize(o1.getCustomObject().getObjectLabel(o1).toString().trim(),Normalizer.Form.NFD);
                                    String label2 = Normalizer.normalize(o2.getCustomObject().getObjectLabel(o2).toString().trim(), Normalizer.Form.NFD);
                                    return label1.compareToIgnoreCase(label2);
                                }
                            }); %>
                        <logic:iterate id="backRefObjectValues" collection="<%=backRef %>" type="cz.bellman.applications.externaldatabasemanager.beans.CustomObjectValues">

                            <%if  (k==0 && (CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" YES")||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" ANO")
                                    ||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" JA") || CustomObjectValues.getObjectLabel(backRefObjectValues).toString().endsWith(" Aktivní"))){ %>

                            <a href="editObject.do?objectName=${backRefObjectValues.customObject.objectName}${f:getPkValueParamsLink(backRefObjectValues)}"><% out.print(CustomObjectValues.getObjectLabel(backRefObjectValues).toString().replaceAll("\\s{1}(Ano|Yes|ANO|YES|Ja|JA|Aktivní)$", ""));%></a><br>
                            <%} else if (k==0 && !(CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" NO")||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" NE")||
                                    CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" YES")||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" ANO")||
                                    CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" NEIN")||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" JA")
                                    ||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().endsWith(" Neaktivní")||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" Aktivní"))){%>
                            <a href="editObject.do?objectName=${backRefObjectValues.customObject.objectName}${f:getPkValueParamsLink(backRefObjectValues)}"><% out.print(CustomObjectValues.getObjectLabel(backRefObjectValues).toString().replaceAll("\\s{1}(No|Ne|NO|NE)$", ""));%></a><br>
                            <%}else if (k==1 && (CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" NO")||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" NE")
                                    ||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().toUpperCase().endsWith(" NEIN")||CustomObjectValues.getObjectLabel(backRefObjectValues).toString().endsWith(" Neaktivní"))){%>

                            <a href="editObject.do?objectName=${backRefObjectValues.customObject.objectName}${f:getPkValueParamsLink(backRefObjectValues)}"><% out.print(CustomObjectValues.getObjectLabel(backRefObjectValues).toString().replaceAll("\\s{1}(No|Ne|NO|NE|Nein|NEIN|Neaktivní)$", ""));%></a><br>
                            <%}%>
                        </logic:iterate>
                    </div>

                    <% if (!backReference.getReferencedObject().getReadOnly()&& k == 0) { %>
                    <div  class="new_pol">

                        <a href="editObject.do?objectName=${backReference.referencedObjectName}${f:getFkValueParamsLink(editForm.currentCustomObjectValues, backReference.referencedObjectName)}&action=New"><bean:message key="form.new"/></a>

                    </div>
                    <% } %>
                </div>
            </div>

            <% } %>
        </logic:iterate>

    </logic:equal>
    <div id="tabs1" class="tabBar" style="padding: 10px 10px 10px 10px;">
	        <div class="btn-group" role="group">
				  <% if (editForm.getCurrentCustomObject().canBeAnonymized() && !"New".equals(editForm.getAction())) { %>
				  	<a href="#" onclick="anonymous();" class="btn btn-default">
				  		<span class="taskpool-icon-user icon-right-spacing-normal-only"></span>
				  		<span class="hidden-xs-sm"><bean:message key="form.anonymous"/></span>
				  	</a>
				  <% } %>
				  <% if (editForm.getCurrentCustomObject().canBeSynchronized() && !"New".equals(editForm.getAction())) { %>
				      <a href="#" onclick="synchronize();" class="btn btn-default">
				        <span class="taskpool-icon-caret-up icon-right-spacing-normal-only"></span>
				      	<span class="hidden-xs-sm"><bean:message key="form.updatetaskpool"/></span>
				      </a>
				  <% } %>
	        </div>
	 </div>
    
</div>